[Cartoweb-users] my issues with CW 3.3.0

Eric Lemoine eric.lemoine at gmail.com
Fri Jan 26 10:32:18 EST 2007

On 1/26/07, Yves Jacolin <yjacolin at free.fr> wrote:
> Le Vendredi 26 Janvier 2007 15:27, Eric Lemoine a écrit:
> > Fatal error: This build of mapscript can't be load as a 'cgi-fcgi'
> > module for stability reason, but only with php as an apache DSO.
> > in /var/www/cartoweb3/server/ServerContext.php on line 354
> >
> > So it seems CartoWeb wants me to use PHP as CGI whereas Mapscript
> > doesn't want to be used as CGI!
> Hi Eric,
> I don't think so, I think Mpascript try to be loaded as fast-CGI not CGI. But
> I haven't got any explication about this.

I haven't checked mapscript source code but I think that when
mapscript says it can't be loaded as a 'cgi-fcgi' it means that it
can't be loaded neither as CGI nor as Fast-CGI. Indeed, it seems that
PHP5 php_sapi_name() returns cgi-fcgi whether called in CGI or
Fast-CGI context.


More information about the Cartoweb-users mailing list